> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Statistics

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /repos/{owner}/{repo}/stats/code_frequency`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/statistics#get-the-weekly-commit-activity) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get the weekly commit activity
* [`GET /repos/{owner}/{repo}/stats/commit_activity`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/statistics#get-the-last-year-of-commit-activity) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get the last year of commit activity
* [`GET /repos/{owner}/{repo}/stats/contributors`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/statistics#get-all-contributor-commit-activity) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get all contributor commit activity
* [`GET /repos/{owner}/{repo}/stats/participation`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/statistics#get-the-weekly-commit-count) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get the weekly commit count
* [`GET /repos/{owner}/{repo}/stats/punch_card`](https://docs.github.com/enterprise-cloud@latest/rest/metrics/statistics#get-the-hourly-commit-count-for-each-day) <Badge color="blue" size="sm">UAT</Badge> <Badge color="purple" size="sm">IAT</Badge> - Get the hourly commit count for each day
